Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni.psvi
Interface ElementPSVI

All Superinterfaces:
  ItemPSVI

Deprecated. The interface may be updated or replaced.

public interface ElementPSVI
extends ItemPSVI

Represent a PSVI item for one element information item.

Version:
  $Id: ElementPSVI.java,v 1.6 2003/01/23 16:47:50 elena Exp $
Author:
  Elena Litani, IBM

Fields inherited from interface org.apache.xerces.xni.psvi.ItemPSVI
`VALIDATION_FULL, VALIDATION_NONE, VALIDATION_PARTIAL, VALIDITY_INVALID, VALIDITY_NOTKNOWN, VALIDITY_VALID`

Method Summary
`org.apache.xerces.impl.xs.psvi.XSElementDeclaration` | `getElementDeclaration()` Deprecated. An item isomorphic to the element declaration used to validate this element.
`org.apache.xerces.impl.xs.psvi.XSNotationDeclaration` | `getNotation()` Deprecated. [notation]
`org.apache.xerces.impl.xs.psvi.XSModel` | `getSchemaInformation()` Deprecated. [schema information]

Methods inherited from interface org.apache.xerces.xni.psvi.ItemPSVI
`getErrorCodes, getIsSchemaSpecified, getMemberTypeDefinition, getSchemaDefault, getSchemaNormalizedValue, getTypeDefinition, getValidationAttempted, getValidationContext, getValidity`

Method Detail

### getElementDeclaration

    public org.apache.xerces.impl.xs.psvi.XSElementDeclaration getElementDeclaration()

  Deprecated.
  An item isomorphic to the element declaration used to validate this element.
  Returns:
    an element declaration

### getNotation

    public org.apache.xerces.impl.xs.psvi.XSNotationDeclaration getNotation()

  Deprecated.
  [notation]
  Returns:
    The notation declaration.
  See Also:
    XML Schema Part 1: Structures [notation]

### getSchemaInformation

    public org.apache.xerces.impl.xs.psvi.XSModel getSchemaInformation()

  Deprecated.
  [schema information]
  Returns:
    The schema information property if it's the validation root, null otherwise.
  See Also:
    XML Schema Part 1: Structures [schema information]

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.